#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.4.0.0
visibility:           public
id:                   lsp-1.4.0.0-IZdws0LjT1g41lqb3JgKNf
key:                  lsp-1.4.0.0-IZdws0LjT1g41lqb3JgKNf
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  d90906c5fc0455a299ad5cf738d50806
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.4.0.1-5XXDTxvzJao1A3w0u9NtNF:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.4.0.1-5XXDTxvzJao1A3w0u9NtNF:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.4.0.1-5XXDTxvzJao1A3w0u9NtNF:Language.LSP.Types.Lens,
    Language.LSP.VFS from lsp-types-1.4.0.1-5XXDTxvzJao1A3w0u9NtNF:Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.2.8/site-local/lsp-1.4.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/lsp-1.4.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp1.4
hs-libraries:         HSlsp-1.4.0.0-IZdws0LjT1g41lqb3JgKNf
depends:
    aeson-2.1.2.1-7IgTEIjsesxDBKStPrg8Ee
    async-2.2.5-4JGZT0Ph9Ej3DBYAmeojJP
    attoparsec-0.14.4-Gy8NthJdplC7rvqKUZX715 base-4.16.4.0
    bytestring-0.11.4.0 containers-0.6.5.1
    data-default-0.7.1.1-4Q2QEONQl2rBpJbSE6OFE3 exceptions-0.10.4
    hashable-1.4.4.0-3NsDO7W5NBvlxFY7M8nbj
    hslogger-1.3.1.1-D3frPIv4Yoo9qjA1JrOEAn
    lens-5.2.3-3BG1BTsYajWH51jWMi4vYO
    lsp-types-1.4.0.1-5XXDTxvzJao1A3w0u9NtNF mtl-2.2.2
    network-uri-2.6.4.2-5dZw2pdLaYUJEQy1LXCUFz
    random-1.2.1.2-3dTxaovgjM1Bg7GihufWfn
    scientific-0.3.7.0-CRm8E7lQFQyIDH2IUurUTy
    sorted-list-0.2.2.0-1ZAupdH8kII2FgT9tbCQn6 stm-2.5.0.2 text-1.2.5.0
    time-1.11.1.1 transformers-0.5.6.2
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-4c1XIGAoQE4JZSLkR4PXOi
    uuid-1.3.15-Cy183LbXsHrGR2ZzunRWik

haddock-interfaces:   /usr/share/doc/haskell-lsp1.4/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp1.4/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

